﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJECTPROGRAMME' AND KSQL_COL_NAME ='FVERSION') 
 ALTER TABLE T_PMAS_PROJECTPROGRAMME ADD (FVERSION DECIMAL(23,1) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJECTPROGRAMME' AND KSQL_COL_NAME ='FRELATIONPROG') 
 ALTER TABLE T_PMAS_PROJECTPROGRAMME ADD (FRELATIONPROG BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJECTOBJECTIVE' AND KSQL_COL_NAME ='FVERSION') 
 ALTER TABLE T_PMAS_PROJECTOBJECTIVE ADD (FVERSION DECIMAL(23,1) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJECTOBJECTIVE' AND KSQL_COL_NAME ='FRELATIONOBJ') 
 ALTER TABLE T_PMAS_PROJECTOBJECTIVE ADD (FRELATIONOBJ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROADMINDIVISION') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROADMINDIVISION NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_ADJFIELDENTRY') 
 CREATE TABLE T_PMAS_PRO_ADJFIELDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDVALUE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_APPADJUST') 
 CREATE TABLE T_PMAS_PRO_APPADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FKINDID BIGINT DEFAULT 0 NOT NULL,
FPROID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPLANBEGINDATE DATETIME,
FPLANENDDATE DATETIME,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPROSTATUS BIGINT DEFAULT 0 NOT NULL,
FPARENTPROID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FSYSCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FPROADMINDIVISION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_APPADJUST_L') 
 CREATE TABLE T_PMAS_PRO_APPADJUST_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
