﻿/**Begin D:\PDM_UPGRADE\PDM1\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APPROVALDOC') 
 CREATE TABLE T_PMAS_APPROVALDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_AUDITDOC') 
 CREATE TABLE T_PMAS_AUDITDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_MAT_ENTRY') 
 CREATE TABLE T_PMAS_PRO_MAT_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTACHTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROAUD_MAT_ENTRY') 
 CREATE TABLE T_PMAS_PROAUD_MAT_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTACHTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_SOURCEENTRY') 
 CREATE TABLE T_PMAS_SOURCEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FFORMOFINVEST NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_AP_FUNDENTRY' AND KSQL_COL_NAME ='FFORMOFINVEST') 
 ALTER TABLE T_PMAS_PRO_AP_FUNDENTRY ADD (FFORMOFINVEST NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_AP_FUNDENTRY' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_PMAS_PRO_AP_FUNDENTRY ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_AP_FUNDENTRY' AND KSQL_COL_NAME ='FSCALE') 
 ALTER TABLE T_PMAS_PRO_AP_FUNDENTRY ADD (FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_BUDGETCTRLENTRY') 
 CREATE TABLE T_PMAS_BUDGETCTRLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERTAKEORGLD BIGINT DEFAULT 0 NOT NULL,
FUNDERTAKEPERIOD DATETIME,
FBEFORERATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBEFOREAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURRENTRATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURRENTAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDIFFERENCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENTRYPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPROID BIGINT DEFAULT 0 NOT NULL,
FCONTROLINFOCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL,
FTHISNEW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROCTRLINFOENTRY') 
 CREATE TABLE T_PMAS_PROCTRLINFOENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERTAKEORGLD BIGINT DEFAULT 0 NOT NULL,
FUNDERTAKEPERIOD DATETIME,
FUNDERTAKERATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENTRYPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPROID BIGINT DEFAULT 0 NOT NULL,
FCONTROLINFOCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AUDIT') 
 CREATE TABLE T_PMAS_PRO_AUDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRONAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUGPRONAMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROCTRLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUGAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSETRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEADERCONTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILLORGID BIGINT DEFAULT 0 NOT NULL,
FPROCONDITION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FKINDID BIGINT DEFAULT 0 NOT NULL,
FPROPROPOSALID BIGINT DEFAULT 0 NOT NULL,
FPROLEADERID BIGINT DEFAULT 0 NOT NULL,
FREPLYSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUGPRONAMEID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUGPRONAMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROCTRLTYPE') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROCTRLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUGAREA') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUGAREA NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FASSETRATIO') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FASSETRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROLEADERID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROLEADERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FLEADERCONTTYPE') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FLEADERCONTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FISREPORT') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FISREPORT CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FREPORTORGID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FREPORTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FREPAUDSTATUS') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FREPAUDSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROPROPOSALID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROPROPOSALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROCONDITION') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROCONDITION NVARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBILLTYPEID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBILLTYPEID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\PMAS_table.sql **/
