﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJ_AUDIT') 
 CREATE TABLE T_PMAS_PROJ_AUDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRONO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPRONAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FKIND BIGINT DEFAULT 0 NOT NULL,
FREPORTORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJ_AUDIT_L') 
 CREATE TABLE T_PMAS_PROJ_AUDIT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURPOSE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUGETPERFORMENTRY' AND KSQL_COL_NAME ='FBILLTYPE') 
 ALTER TABLE T_PMAS_BUGETPERFORMENTRY ADD (FBILLTYPE VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGET' AND KSQL_COL_NAME ='FSPLITTYPE') 
 ALTER TABLE T_PMAS_BUDGET ADD (FSPLITTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGETCTRLENTRY' AND KSQL_COL_NAME ='FCTRLBUDGETITEMNAME') 
 ALTER TABLE T_PMAS_BUDGETCTRLENTRY ADD (FCTRLBUDGETITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGETCTRLENTRY' AND KSQL_COL_NAME ='FCTRLBUDGETITEMID') 
 ALTER TABLE T_PMAS_BUDGETCTRLENTRY ADD (FCTRLBUDGETITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGETCTRLENTRY' AND KSQL_COL_NAME ='FCTRLPROBUDGETITEMID') 
 ALTER TABLE T_PMAS_BUDGETCTRLENTRY ADD (FCTRLPROBUDGETITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROCTRLINFOENTRY' AND KSQL_COL_NAME ='FCTRLOUTITEMNAME') 
 ALTER TABLE T_PMAS_PROCTRLINFOENTRY ADD (FCTRLOUTITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROCTRLINFOENTRY' AND KSQL_COL_NAME ='FCTRLOUTITEMID') 
 ALTER TABLE T_PMAS_PROCTRLINFOENTRY ADD (FCTRLOUTITEMID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FSPLITTYPE') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FSPLITTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_L' AND KSQL_COL_NAME ='FBILLNAME') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_L ADD (FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
