﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJECTOBJECTIVE_L') 
 CREATE TABLE T_PMAS_PROJECTOBJECTIVE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(160) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FOBJECTIVE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(510) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJTEAM' AND KSQL_COL_NAME IN ('FISSYS')) 
 ALTER TABLE T_PMAS_PROJTEAM ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME IN ('FISSYS')) 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJTEAM' AND KSQL_COL_NAME IN ('FPROJKINDID')) 
 ALTER TABLE T_PMAS_PROJTEAM ADD (FPROJKINDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME IN ('FPROJKINDID')) 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FPROJKINDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJECTPROGRAMME') 
 CREATE TABLE T_PMAS_PROJECTPROGRAMME (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPROGRAMMETYPE BIGINT DEFAULT 0 NOT NULL,
FOPERATOR BIGINT DEFAULT 0 NOT NULL,
FOPERATIONDATE DATETIME,
FPROGSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJKINDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJECTPROGRAMME_L') 
 CREATE TABLE T_PMAS_PROJECTPROGRAMME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROGRAMME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJECTOBJECTIVE') 
 CREATE TABLE T_PMAS_PROJECTOBJECTIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FOPERATOR BIGINT DEFAULT 0 NOT NULL,
FOPERATIONDATE DATETIME,
FOBJSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJKINDID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJECTOBJECTIVE' AND KSQL_COL_NAME IN ('FISSYS')) 
 ALTER TABLE T_PMAS_PROJECTOBJECTIVE ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
