﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_constraint.sql **/
EXEC p_DropIdx 'idx_nowteam_l', 'T_PMAS_NOWTEAM_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_NOWTEAM_L_0') CREATE INDEX IDX_PMAS_NOWTEAM_L_0 ON T_PMAS_NOWTEAM_L ( FID );

EXEC p_DropIdx 'idx_projteam_l', 'T_PMAS_PROJTEAM_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PROJTEAM_L_0') CREATE INDEX IDX_PMAS_PROJTEAM_L_0 ON T_PMAS_PROJTEAM_L ( FID );

EXEC p_DropIdx 'idx_teamentry_l', 'T_PMAS_TEAM_ENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMENTRY_L_0') CREATE INDEX IDX_PMAS_TEAMENTRY_L_0 ON T_PMAS_TEAM_ENTRY_L ( FENTRYID );

EXEC p_DropIdx 'idx_teamchentry_l', 'T_PMAS_TEAMCHANGE_ENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMCHENTRY_L_0') CREATE INDEX IDX_PMAS_TEAMCHENTRY_L_0 ON T_PMAS_TEAMCHANGE_ENTRY_L ( FENTRYID );

EXEC p_DropIdx 'idx_teamchdentry_l', 'T_PMAS_TEAMCHANGED_ENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMCHDENTRY_L_0') CREATE INDEX IDX_PMAS_TEAMCHDENTRY_L_0 ON T_PMAS_TEAMCHANGED_ENTRY_L ( FENTRYID );

EXEC p_DropIdx 'idx_fundsource_l', 'T_PMAS_FUNDSOURCE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_FUNDSOURCE_L') CREATE INDEX IDX_PMAS_FUNDSOURCE_L ON T_PMAS_FUNDSOURCE_L ( FID );

EXEC p_DropIdx 'idx_pmas_team', 'T_PMAS_PROJTEAM';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAM_0') CREATE INDEX IDX_PMAS_TEAM_0 ON T_PMAS_PROJTEAM ( FBILLNO );

EXEC p_DropIdx 'idx_pmas_fundsource', 'T_PMAS_FUNDSOURCE';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_FUNDSOURCE_0') CREATE INDEX IDX_PMAS_FUNDSOURCE_0 ON T_PMAS_FUNDSOURCE ( FBILLNO );

EXEC p_DropIdx 'idx_nowteam', 'T_PMAS_NOWTEAM';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_NOWTEAM_0') CREATE INDEX IDX_PMAS_NOWTEAM_0 ON T_PMAS_NOWTEAM ( FPROJECTID );

EXEC p_DropIdx 'idx_teamentry', 'T_PMAS_TEAM_ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMENTRY_0') CREATE INDEX IDX_PMAS_TEAMENTRY_0 ON T_PMAS_TEAM_ENTRY ( FID );

EXEC p_DropIdx 'idx_teamchdentry', 'T_PMAS_TEAMCHANGED_ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMCHDENTRY_0') CREATE INDEX IDX_PMAS_TEAMCHDENTRY_0 ON T_PMAS_TEAMCHANGED_ENTRY ( FID );

EXEC p_DropIdx 'idx_teamchentry', 'T_PMAS_TEAMCHANGE_ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_TEAMCHENTRY_0') CREATE INDEX IDX_PMAS_TEAMCHENTRY_0 ON T_PMAS_TEAMCHANGE_ENTRY ( FID );

EXEC p_DropIdx 'idx_fundentryl', 'T_PMAS_FUND_ENTRY_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_FUNDENTRYL') CREATE INDEX IDX_PMAS_FUNDENTRYL ON T_PMAS_FUND_ENTRY_L ( FENTRYID );

 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_FIELDENTRY', 'T_PMAS_PRO_AP_FIELDENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_FIELD_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_FIELD_0 ON T_PMAS_PRO_AP_FIELDENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_FUNDENTRY', 'T_PMAS_PRO_AP_FUNDENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_FS_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_FS_0 ON T_PMAS_PRO_AP_FUNDENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_FUNDENTRY_L', 'T_PMAS_PRO_AP_FUNDENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_FS_L_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_FS_L_0 ON T_PMAS_PRO_AP_FUNDENTRY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_INENTRY', 'T_PMAS_PRO_AP_INENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_IN_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_IN_0 ON T_PMAS_PRO_AP_INENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_INENTRY_L', 'T_PMAS_PRO_AP_INENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_IN_L_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_IN_L_0 ON T_PMAS_PRO_AP_INENTRY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_OUTENTRY', 'T_PMAS_PRO_AP_OUTENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_OUT_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_OUT_0 ON T_PMAS_PRO_AP_OUTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_OUTENTRY_L', 'T_PMAS_PRO_AP_OUTENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_OUT_L_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_OUT_L_0 ON T_PMAS_PRO_AP_OUTENTRY_L ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_TEAMENTRY', 'T_PMAS_PRO_AP_TEAMENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_TEAM_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_TEAM_0 ON T_PMAS_PRO_AP_TEAMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AP_TEAMENTRY_L', 'T_PMAS_PRO_AP_TEAMENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_TEAM_L_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_TEAM_L_0 ON T_PMAS_PRO_AP_TEAMENTRY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_APPROVAL', 'T_PMAS_PRO_APPROVAL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_0 ON T_PMAS_PRO_APPROVAL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_APPROVAL_L', 'T_PMAS_PRO_APPROVAL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_L_0') CREATE  CLUSTERED INDEX IDX_PMAS_PRO_AP_L_0 ON T_PMAS_PRO_APPROVAL_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_constraint.sql **/
