﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_BUGETPERFORMENTRY') 
 CREATE TABLE T_PMAS_BUGETPERFORMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERFORMTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLCREATEDATE DATETIME,
FBILLAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBILLAUDITDATE DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROJECTBUDGET_S') 
 CREATE TABLE T_PMAS_PROJECTBUDGET_S (
FID BIGINT DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMAINRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPREOCCUPYAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOCCUPYAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPERFORMAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMAINAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGET' AND KSQL_COL_NAME ='FBUDGETCONTROLMODE') 
 ALTER TABLE T_PMAS_BUDGET ADD (FBUDGETCONTROLMODE NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGET' AND KSQL_COL_NAME ='FPROJECTCOSTCONTROL') 
 ALTER TABLE T_PMAS_BUDGET ADD (FPROJECTCOSTCONTROL CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUDGETCONTROLMODE') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUDGETCONTROLMODE NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FPROJECTCOSTCONTROL') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FPROJECTCOSTCONTROL CHAR(1) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
